---
title: "Learning Go: Day Six"
date: 2024-05-06T08:00:00.0Z
tags:
    - learning
    - go
excerpt: "It's finally time to decide on what project I'm going to build this month"
---

Okay I'm only six days into learning a new language, and I've barely scratched the surface[^1]. But I learn best by actually _doing_ things, so I've decided what I'm going to build.

I'm going to make a simple uptime dashboard for my blog, in the same vein as [broke.lol](https://broke.lol). It should:

* Monitor my website(s) for downtime
* Give some up/downtime statistics
* Display the current status, especially if things are broken

Which means it's going to need to:

* Run a web server
* Render web pages with some dynamic content
* Store & read data from/to a database
* Send requets to a server & handle the responses
* Do all of the above on a periodic schedule
* Not suck

That last one is optional.

The repository for this project will be on my personal Git server, and I'll update this post with the repo URL once it's been created.

[^1]: Seriously, I flicked through the [Tour of Go](https://go.dev/tour) to see how much I was actually skipping and there was a surprising amount of stuff in there