---json
{
  "title": "My formative games",
  "date": "2024-05-30T07:30:00.882Z",
  "tags": [
    "games"
  ],
  "excerpt": "Here's a list of my favourite video games"
}
---

I'm not a _huge_ gamer. I've got a few consoles, I've played a fair few games, but I would never say it's my number one hobby, and I can go weeks in between switching any console on. But there are a handful of games that I think are a big part of my formative years.

## TimeSplitters 2

![Box art for TimeSplitters 2 on PS2. Shows a bald CGI man carrying an oversized light blue gun.](./src/images/timesplitters-2.jpg)

The first game on the list is also one that I could tell you absolutely _nothing_ about, other than the fact it's the first game we got when my family got a PS2, and it's probably the only game my Dad would enjoy playing too. It had an amazing multiplayer mode, including a custom level designer, and that's pretty much all we used to do the whole time. It was great fun, but I never once played the story mode; I'm not even sure there _is_ a story mode.

## Halo 3

![Box art for Halo 3 on Xbox 360, showing the Master Chief against a barren background](./src/images/halo-3.jpg)

Halo 3 is the reason I begged my parents for an Xbox 360 for my 13th birthday. My cousin already had it and I got to play a couple of levels of the campaign on my own once when he was out, and was absolutely hooked. It had an incredible, atmospheric soundtrack, was seriously fun to play. I've never been one for playing competitive online games too much, but I still consider being called a "beat down whore" by an angry teenager on Xbox Live one of my crowning achievements.

## Runescape

![Login screen for Runescape in roughly 2007. Has a username and apssword entry field in a grey stone box. Above it is the text "Runescape" written on stone runes. The background is a medieval-style pillar and burning torches](./src/images/runescape.webp)

I think I lost at least 2 years to runescape between 2005-2007. I was _obsessed_ with playing the game. I was utterly terrible at it, because I didn't have the attention span to grind any of the higher levels[^1], but I'd still waste hours and hours on it. It was the first MMORPG I ever played, and thinking of it makes me so thankful that I never bought World of Warcraft, because I'd never have seen daylight again.

## Fallout 3

![Cover art for Fallout 3, showing a figure in Power Armour against a textured background](./src/images/fallout-3.png)

When I first played Fallout 3, I _hated_ it. I had no idea what to do, and was very used to regular story-driven games. Then at some point, I tried it again and got the hang of playing an open world RPG, and realised how much fun it could be. I played through Fallout 3 dozens of times, trying out different character builds, following different plotlines, often ignoring the main story until the very last minute. Once I found out about the glitch to get power armour early in the game it was a total game changer too.

## Pokémon Red

![Box art for Pokémon Red for the Game Boy, showing a watercolour Charizard on a red background](./src/images/pokemon-red.jpg)

Pokémon Red was probably the only game I actually played on my Game Boy Colour[^2], the rest were just left there, ignored. I loved, and still love, this game completely. It has plenty of flaws, and the next generation is undoubtedly an improvement, but there's something about playing this that is a complete comfort to me. Even before I found out about the famous MissingNo. glitch, I managed to complete this game and train a bunch of my Pokémon to lvl. 100, which must have taken me hours and hours to do. I've still got the game, and my Game Boy Colour, so occasionally I'll still boot it up and do a play through when I find the time.

[^1]: I still don't
[^2]: Atomic Purple, obviously